Subject: bug#29548: 25.2; How to DEBUG get-device-terminal

From: Noam Postavsky <[email-masked]>
Date: Sun, 18 Feb 2018 17:41:55 -0500

Live System User <[email-masked]> writes:

> Noam Postavsky <[email-masked]> writes:
>
>> Live System User <[email-masked]> writes:
>>
>>> Noam Postavsky <[email-masked]> writes:
>>>
>>>> Hmm, if you can reproduce this semi-regularly, then perhaps the
>>>> following patch can catch the reason for the problem.  It sets a
>>>> breakpoint in Fsignal while the terminal is in the process of being
>>
>> I said Fsignal, but posted a patching breaking in signal_or_quit.  The
>> latter only exists in emacs-26.  Are you running that or 25.2 as in your
>> original report?
>>
>> Actually I think it might work better to break in longjmp instead.
>
>   Where would I do that?

Um, maybe in the .gdbinit patch I posted replace signal_or_quit with
'siglongjmp'?  Does anyone else have ideas how to catch this sort of
thing?

>  I see the following immediately upon creating a GUI
>  frame via "emacsclient -c":
>
> There is no member named name.
>
>  What does this message mean?
>  (Presumably. this is from .gdbinit)

Not sure.  Maybe add some printfs in .gdbinit to pin it down?